#! /bin/sh
#+
#
# .. program:: get_olr.sh
#
# .. _get_olr.sh:
#
# =================================================
# get_olr.sh -- get OLR interpolated reference file
# =================================================
# 
# SYNOPSIS
# ========
#
# ::
#
#  $ get_olr.sh
#
# DESCRIPTION
# ===========
#
# ``get_olr.sh`` get OLR interpolated reference file
#
# SEE ALSO
# ========
#
# :ref:`guide data OLR <data_in_olr>`
#
# :ref:`get_olrnint.sh`
#
# TODO
# ====
#
# trace
#
# hard coded directory - usage of ${TROPFLUX_ID}
#
# coding rules
#
# EVOLUTIONS
# ==========
#
# - fplod 20101213T155858Z aedon.locean-ipsl.upmc.fr (Darwin)
#
#   * minimal header
#
# - jv 2008
#
#   * creation
#
#-
DIR_DATA='/Users/jv/data/OLR/'

cd $DIR_DATA

mv olr.day.mean.nc olr.day.mean.nc.old

wget ftp://ftp.cdc.noaa.gov/Datasets/interp_OLR/olr.day.mean.nc

#ftp -n <<@DELIM
#  open ftp.cdc.noaa.gov
#  user anonymous jv@locean-ipsl.upmc.fr
#  bin
#  prompt
#  cd /Datasets/interp_OLR/
#  mget QS_XWGRD3_${yea}*.gz
#  quit
#@DELIM

ls -l

